Base Module VST 3.7 SDK for developing VST plug-in

Macros | Functions
fdebug.h File Reference

Debugging tools. More...

`#include "pluginterfaces/base/ftypes.h"`
`#include <cstring>`

## Macros
#define | SMTG_ASSERT(f)
| if DEVELOPMENT is not set, these macros will do nothing. More...
#define | SMTG_ASSERT_MSG(f, msg)
#define | SMTG_WARNING(s)
#define | SMTG_PRINTSYSERROR
#define | SMTG_DEBUGSTR(s)
#define | SMTG_VERIFY(f) f;
#define | SMTG_VERIFY_IS(f, r) f;
#define | SMTG_VERIFY_NOT(f, r) f;
#define | SMTG_DBPRT0(a)
#define | SMTG_DBPRT1(a, b)
#define | SMTG_DBPRT2(a, b, c)
#define | SMTG_DBPRT3(a, b, c, d)
#define | SMTG_DBPRT4(a, b, c, d, e)
#define | SMTG_DBPRT5(a, b, c, d, e, f)
#define | NEW new
#define | NEWVEC new
#define | ASSERT SMTG_ASSERT
#define | WARNING SMTG_WARNING
#define | DEBUGSTR SMTG_DEBUGSTR
#define | VERIFY SMTG_VERIFY
#define | VERIFY_IS SMTG_VERIFY_IS
#define | VERIFY_NOT SMTG_VERIFY_NOT
#define | PRINTSYSERROR SMTG_PRINTSYSERROR
#define | DBPRT0 SMTG_DBPRT0
#define | DBPRT1 SMTG_DBPRT1
#define | DBPRT2 SMTG_DBPRT2
#define | DBPRT3 SMTG_DBPRT3
#define | DBPRT4 SMTG_DBPRT4
#define | DBPRT5 SMTG_DBPRT5

## Functions
bool | AmIBeingDebugged ()
| Returns true if a debugger is attached. More...
bool | isSmtgUnitTesting ()
void | setSmtgUnitTesting ()

## Detailed Description

Debugging tools.

There are 2 levels of debugging messages:

- DEVELOPMENT
  - During development
- RELEASE
  - Program is shipping.

## Macro Definition Documentation

## ◆ SMTG_ASSERT

#define SMTG_ASSERT | ( |  | f | ) |

if DEVELOPMENT is not set, these macros will do nothing.

## ◆ SMTG_ASSERT_MSG

#define SMTG_ASSERT_MSG | ( |  | f,
|  |  | msg
| ) |  |

## ◆ SMTG_WARNING

#define SMTG_WARNING | ( |  | s | ) |

## ◆ SMTG_PRINTSYSERROR

#define SMTG_PRINTSYSERROR

## ◆ SMTG_DEBUGSTR

#define SMTG_DEBUGSTR | ( |  | s | ) |

## ◆ SMTG_VERIFY

#define SMTG_VERIFY | ( |  | f | ) | f;

## ◆ SMTG_VERIFY_IS

#define SMTG_VERIFY_IS | ( |  | f,
|  |  | r
| ) |  | f;

## ◆ SMTG_VERIFY_NOT

#define SMTG_VERIFY_NOT | ( |  | f,
|  |  | r
| ) |  | f;

## ◆ SMTG_DBPRT0

#define SMTG_DBPRT0 | ( |  | a | ) |

## ◆ SMTG_DBPRT1

#define SMTG_DBPRT1 | ( |  | a,
|  |  | b
| ) |  |

## ◆ SMTG_DBPRT2

#define SMTG_DBPRT2 | ( |  | a,
|  |  | b,
|  |  | c
| ) |  |

## ◆ SMTG_DBPRT3

#define SMTG_DBPRT3 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d
| ) |  |

## ◆ SMTG_DBPRT4

#define SMTG_DBPRT4 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e
| ) |  |

## ◆ SMTG_DBPRT5

#define SMTG_DBPRT5 | ( |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | e,
|  |  | f
| ) |  |

## ◆ NEW

#define NEW new

## ◆ NEWVEC

#define NEWVEC new

## ◆ ASSERT

#define ASSERT SMTG_ASSERT

## ◆ WARNING

#define WARNING SMTG_WARNING

## ◆ DEBUGSTR

#define DEBUGSTR SMTG_DEBUGSTR

## ◆ VERIFY

#define VERIFY SMTG_VERIFY

## ◆ VERIFY_IS

#define VERIFY_IS SMTG_VERIFY_IS

## ◆ VERIFY_NOT

#define VERIFY_NOT SMTG_VERIFY_NOT

## ◆ PRINTSYSERROR

#define PRINTSYSERROR SMTG_PRINTSYSERROR

## ◆ DBPRT0

#define DBPRT0 SMTG_DBPRT0

## ◆ DBPRT1

#define DBPRT1 SMTG_DBPRT1

## ◆ DBPRT2

#define DBPRT2 SMTG_DBPRT2

## ◆ DBPRT3

#define DBPRT3 SMTG_DBPRT3

## ◆ DBPRT4

#define DBPRT4 SMTG_DBPRT4

## ◆ DBPRT5

#define DBPRT5 SMTG_DBPRT5

## Function Documentation

## ◆ AmIBeingDebugged()

bool AmIBeingDebugged | ( |  | ) |

Returns true if a debugger is attached.

## ◆ isSmtgUnitTesting()

bool isSmtgUnitTesting | ( |  | ) |

## ◆ setSmtgUnitTesting()

void setSmtgUnitTesting | ( |  | ) |

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.